Description: adjust path to script when run under autopkgtest
Origin: vendor
Bug-Debian: https://bugs.debian.org/1023709
Forwarded: not-needed
Author: gregor herrmann <gregoa@debian.org>
Last-Update: 2022-11-11

--- a/t/pkwalify.t
+++ b/t/pkwalify.t
@@ -108,7 +108,8 @@
 my $tests_per_case = 3;
 plan tests => 13 + $tests_per_case*(scalar(@yaml_mod_defs) + scalar(@json_defs));
 
-my $script = "$FindBin::RealBin/../blib/script/pkwalify";
+my $bindir = $ENV{AUTOPKGTEST_TMP} ? '/usr/bin' : "$FindBin::RealBin/../blib/script";
+my $script = "$bindir/pkwalify";
 my @cmd = ($^X, "-Mblib=$FindBin::RealBin/..", $script, "-s");
 
 SKIP: {
